cgGetNamedUserType(3)

NAME
cgGetNamedUserType - get enumerant associated with type name

SYNOPSIS
  #include <Cg/cg.h>
  CGtype cgGetNamedUserType( CGhandle handle,
                             const char * name );

PARAMETERS

handle
    The CGprogram or CGeffect in which the type is defined.

name
    A string containing the case-sensitive type name.

RETURN VALUES
Returns the type enumerant associated with name.

Returns CG_UNKNOWN_TYPE if no such type exists.

DESCRIPTION
cgGetNamedUserType returns the enumerant associated with the named type defined in the constuct associated with handle, which may be a CGprogram or CGeffect.

For a given type name, the enumerant returned by this entry point is guaranteed to be identical if called with either an CGeffect handle, or a CGprogram that is defined within that effect.

If two programs in the same context define a type using identical names and definitions, the associated enumerants are also guaranteed to be identical.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAMETER_ERROR is generated if handle is not a valid program or effect.

HISTORY
cgGetNamedUserType was introduced in Cg 1.2.

SEE ALSO
the cgGetUserType manpage, the cgGetType manpage